#!/bin/bash
#SBATCH --job-name=inference_3b2
#SBATCH --output=output_final_15/ablation_repsentations_dbpedia_different_template_nocolon.txt
#SBATCH --error=error_final_15/ablation_repsentations_dbpedia_different_template_nocolon.txt
#SBATCH --ntasks=1
#SBATCH --time=48:00:00
#SBATCH --mem=20Gb
#SBATCH --partition=long
#SBATCH -c 2
#SBATCH --gres=gpu:1 
#SBATCH --constraint=80gb

# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'dbpedia' \
#     --num_seeds 15 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_template --only_answer --not_include_colon

python processing_ablation_representation_final15.py --fix_cls   \
    --model 'openlm-research/open_llama_3b' \
    --dataset 'dbpedia' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_template --only_answer --not_include_colon

# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'dbpedia' \
#     --num_seeds 15 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content --include_template --only_answer --not_include_colon


# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'dbpedia' \
#     --num_seeds 15 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_template --only_article_template --not_include_colon

python processing_ablation_representation_final15.py --fix_cls   \
    --model 'openlm-research/open_llama_3b' \
    --dataset 'dbpedia' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_template --only_article_template --not_include_colon

# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'dbpedia' \
#     --num_seeds 15 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content --include_template  --only_article_template --not_include_colon


# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'dbpedia' \
#     --num_seeds 15 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_template --only_answer_template --not_include_colon

python processing_ablation_representation_final15.py --fix_cls   \
    --model 'openlm-research/open_llama_3b' \
    --dataset 'dbpedia' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_template --only_answer_template --not_include_colon

# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'dbpedia' \
#     --num_seeds 15 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content --include_template  --only_answer_template --not_include_colon




# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'dbpedia' \
#     --num_seeds 2 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_template --only_answer --not_include_colon--only_article_template --not_include_colon

# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'dbpedia' \
#     --num_seeds 2 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template --only_answer --not_include_colon--only_article_template --not_include_colon

# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'dbpedia' \
#     --num_seeds 2 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content --include_template --only_answer --not_include_colon--only_article_template --not_include_colon



# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'dbpedia' \
#     --num_seeds 3 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_template --only_answer --not_include_colon--only_article_template --not_include_colon

# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'dbpedia' \
#     --num_seeds 3 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template --only_answer --not_include_colon--only_article_template --not_include_colon

# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'dbpedia' \
#     --num_seeds 3 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content --include_template --only_answer --not_include_colon--only_article_template --not_include_colon


# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'dbpedia' \
#     --num_seeds 15 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_template --only_answer --not_include_colon# --only_article_template --not_include_colon

python processing_ablation_representation_final15.py --fix_cls   \
    --model 'decapoda-research/llama-7b-hf' \
    --dataset 'dbpedia' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_template --only_answer --not_include_colon # --only_article_template --not_include_colon

# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'dbpedia' \
#     --num_seeds 15 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content --include_template --only_answer --not_include_colon# --only_article_template --not_include_colon


# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'dbpedia' \
#     --num_seeds 15 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_template --only_article_template --not_include_colon

python processing_ablation_representation_final15.py --fix_cls   \
    --model 'decapoda-research/llama-7b-hf' \
    --dataset 'dbpedia' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_template --only_article_template --not_include_colon

# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'dbpedia' \
#     --num_seeds 15 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content --include_template --only_article_template --not_include_colon

# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'dbpedia' \
#     --num_seeds 15 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_template --only_answer_template --not_include_colon

python processing_ablation_representation_final15.py --fix_cls   \
    --model 'decapoda-research/llama-7b-hf' \
    --dataset 'dbpedia' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_template --only_answer_template --not_include_colon

# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'dbpedia' \
#     --num_seeds 15 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content --include_template --only_answer_template --not_include_colon

# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'dbpedia' \
#     --num_seeds 5 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_template --only_answer --not_include_colon--only_article_template --not_include_colon

# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'dbpedia' \
#     --num_seeds 5 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template --only_answer --not_include_colon--only_article_template --not_include_colon

# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'dbpedia' \
#     --num_seeds 5 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content --include_template --only_answer --not_include_colon--only_article_template --not_include_colon



# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'dbpedia' \
#     --num_seeds 6 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_template --only_answer --not_include_colon--only_article_template --not_include_colon

# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'dbpedia' \
#     --num_seeds 6 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template --only_answer --not_include_colon--only_article_template --not_include_colon

# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'dbpedia' \
#     --num_seeds 6 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content --include_template --only_answer --not_include_colon--only_article_template --not_include_colon



# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'dbpedia' \
#     --num_seeds 15 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_template --only_answer

python processing_ablation_representation_final15.py --fix_cls   \
    --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
    --dataset 'dbpedia' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_template --only_answer --not_include_colon

# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'dbpedia' \
#     --num_seeds 15 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content --include_template --only_answer --not_include_colon




# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'dbpedia' \
#     --num_seeds 15 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_template  --only_article_template --not_include_colon

python processing_ablation_representation_final15.py --fix_cls   \
    --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
    --dataset 'dbpedia' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_template  --only_article_template --not_include_colon

# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'dbpedia' \
#     --num_seeds 15 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content --include_template  --only_article_template --not_include_colon


# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'dbpedia' \
#     --num_seeds 15 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_template --only_answer_template --not_include_colon

python processing_ablation_representation_final15.py --fix_cls   \
    --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
    --dataset 'dbpedia' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_template --only_answer_template --not_include_colon

# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'dbpedia' \
#     --num_seeds 15 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content --include_template --only_answer_template --not_include_colon
# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'dbpedia' \
#     --num_seeds 8 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_template --only_answer --not_include_colon--only_article_template --not_include_colon

# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'dbpedia' \
#     --num_seeds 8 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template --only_answer --not_include_colon--only_article_template --not_include_colon

# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'dbpedia' \
#     --num_seeds 8 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content --include_template --only_answer --not_include_colon--only_article_template --not_include_colon



# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'dbpedia' \
#     --num_seeds 9 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_template --only_answer --not_include_colon--only_article_template --not_include_colon

# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'dbpedia' \
#     --num_seeds 9 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template --only_answer --not_include_colon--only_article_template --not_include_colon

# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'dbpedia' \
#     --num_seeds 9 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content --include_template --only_answer --not_include_colon--only_article_template --not_include_colon



# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'dbpedia' \
#     --num_seeds 15 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_template --only_answer

python processing_ablation_representation_final15.py --fix_cls   \
    --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
    --dataset 'dbpedia' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_template --only_answer --not_include_colon

# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'dbpedia' \
#     --num_seeds 15 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content --include_template --only_answer


# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'dbpedia' \
#     --num_seeds 15 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_template  --only_article_template --not_include_colon

python processing_ablation_representation_final15.py --fix_cls   \
    --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
    --dataset 'dbpedia' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_template  --only_article_template --not_include_colon

# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'dbpedia' \
#     --num_seeds 15 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content --include_template  --only_article_template --not_include_colon



# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'dbpedia' \
#     --num_seeds 15 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_template --only_answer_template --not_include_colon

python processing_ablation_representation_final15.py --fix_cls   \
    --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
    --dataset 'dbpedia' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_template --only_answer_template --not_include_colon

# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'dbpedia' \
#     --num_seeds 15 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content --include_template --only_answer_template --not_include_colon
# python processing_ablation_representation_final15.py --fix_cls   \

#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'dbpedia' \
#     --num_seeds 11 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_template --only_answer --not_include_colon--only_article_template --not_include_colon

# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'dbpedia' \
#     --num_seeds 11 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template --only_answer --not_include_colon--only_article_template --not_include_colon

# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'dbpedia' \
#     --num_seeds 11 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content --include_template --only_answer --not_include_colon--only_article_template --not_include_colon


# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'dbpedia' \
#     --num_seeds 12 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_template --only_answer --not_include_colon--only_article_template --not_include_colon

# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'dbpedia' \
#     --num_seeds 12 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template --only_answer --not_include_colon--only_article_template --not_include_colon

# python processing_ablation_representation_final15.py --fix_cls   \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'dbpedia' \
#     --num_seeds 12 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content --include_template --only_answer --not_include_colon--only_article_template --not_include_colon