#!/bin/bash
#SBATCH --job-name=plus_rte
#SBATCH --output=outputfinal/ablation_repsentations_no_stopword_plus_rte.txt
#SBATCH --error=errorfinal/ablation_repsentations_no_stopword_plus_rte.txt
#SBATCH --ntasks=1
#SBATCH --time=48:00:00
#SBATCH --mem=20Gb
#SBATCH --partition=main
#SBATCH -c 2
#SBATCH --gres=gpu:1 
#SBATCH --constraint=80gb




# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'rte' \
#     --num_seeds 1 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content


# # without content tokens
# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'rte' \
#     --num_seeds 1 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation  --include_template  --without_punctuation  

# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'rte' \
#     --num_seeds 1 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer  --include_template  --without_punctuation  

# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'rte' \
#     --num_seeds 1 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_content


# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'rte' \
#     --num_seeds 1 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation

python processing_ablation_representation_final.py --fix_cls   \
    --model 'openlm-research/open_llama_3b' \
    --dataset 'rte' \
    --num_seeds 1 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_content  --include_template  --without_punctuation 
# # python processing_dataset_allrank.py \
# #     --model 'openlm-research/open_llama_3b' \
# #     --dataset 'rte' \
# #     --num_seeds 1 \
# #     --all_shots 4 \
# #     --subsample_test_set 500   --include_punctuation


# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'rte' \
#     --num_seeds 2 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content


# # without content tokens
# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'rte' \
#     --num_seeds 2 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation  --include_template  --without_punctuation  

# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'rte' \
#     --num_seeds 2 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer  --include_template  --without_punctuation  

# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'rte' \
#     --num_seeds 2 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_content


# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'rte' \
#     --num_seeds 2 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation

python processing_ablation_representation_final.py --fix_cls   \
    --model 'openlm-research/open_llama_3b' \
    --dataset 'rte' \
    --num_seeds 2 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_content  --include_template  --without_punctuation






# # with content tokens
# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'rte' \
#     --num_seeds 2 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content


# # without content tokens
# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'rte' \
#     --num_seeds 3 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation  --include_template  --without_punctuation  

# # with template tokens
# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'rte' \
#     --num_seeds 3 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer  --include_template  --without_punctuation  


# # without template tokens
# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'rte' \
#     --num_seeds 3 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_content

# # with punctuation tokens
# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'rte' \
#     --num_seeds 3 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation

# # without punctuation tokens
python processing_ablation_representation_final.py --fix_cls   \
    --model 'openlm-research/open_llama_3b' \
    --dataset 'rte' \
    --num_seeds 3 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_content  --include_template  --without_punctuation







# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'rte' \
#     --num_seeds 4 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content


# # without content tokens
# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'rte' \
#     --num_seeds 4 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation  --include_template  --without_punctuation  

# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'rte' \
#     --num_seeds 4 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer  --include_template  --without_punctuation  

# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'rte' \
#     --num_seeds 4 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_content


# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'rte' \
#     --num_seeds 4 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation

python processing_ablation_representation_final.py --fix_cls   \
    --model 'decapoda-research/llama-7b-hf' \
    --dataset 'rte' \
    --num_seeds 4 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_content  --include_template  --without_punctuation
# # python processing_dataset_allrank.py \
# #     --model 'decapoda-research/llama-7b-hf' \
# #     --dataset 'rte' \
# #     --num_seeds 1 \
# #     --all_shots 4 \
# #     --subsample_test_set 500   --include_punctuation


# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'rte' \
#     --num_seeds 5 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content


# # without content tokens
# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'rte' \
#     --num_seeds 5 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation  --include_template  --without_punctuation  

# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'rte' \
#     --num_seeds 5 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer  --include_template  --without_punctuation  

# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'rte' \
#     --num_seeds 5 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_content


# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'rte' \
#     --num_seeds 5 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation

python processing_ablation_representation_final.py --fix_cls   \
    --model 'decapoda-research/llama-7b-hf' \
    --dataset 'rte' \
    --num_seeds 5 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_content  --include_template  --without_punctuation  






# # with content tokens
# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'rte' \
#     --num_seeds 6 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content


# # without content tokens
# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'rte' \
#     --num_seeds 6 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation  --include_template  --without_punctuation  

# # with template tokens
# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'rte' \
#     --num_seeds 6 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer  --include_template  --without_punctuation  


# # without template tokens
# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'rte' \
#     --num_seeds 6 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_content

# # with punctuation tokens
# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'rte' \
#     --num_seeds 6 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation

# # without punctuation tokens
python processing_ablation_representation_final.py --fix_cls   \
    --model 'decapoda-research/llama-7b-hf' \
    --dataset 'rte' \
    --num_seeds 6 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_content  --include_template  --without_punctuation  






# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'rte' \
#     --num_seeds 7 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content


# # without content tokens
# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'rte' \
#     --num_seeds 7 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation  --include_template  --without_punctuation  

# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'rte' \
#     --num_seeds 7 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer  --include_template  --without_punctuation  

# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'rte' \
#     --num_seeds 7 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_content


# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'rte' \
#     --num_seeds 7 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation

python processing_ablation_representation_final.py --fix_cls   \
    --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
    --dataset 'rte' \
    --num_seeds 7 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_content  --include_template  --without_punctuation  
# python processing_dataset_allrank.py \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'rte' \
#     --num_seeds 1 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_punctuation


# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'rte' \
#     --num_seeds 8 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content


# # without content tokens
# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'rte' \
#     --num_seeds 8 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation  --include_template  --without_punctuation  

# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'rte' \
#     --num_seeds 8 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer  --include_template  --without_punctuation  

# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'rte' \
#     --num_seeds 8 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_content


# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'rte' \
#     --num_seeds 8 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation

python processing_ablation_representation_final.py --fix_cls   \
    --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
    --dataset 'rte' \
    --num_seeds 8 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_content  --include_template  --without_punctuation  






# with content tokens
# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'rte' \
#     --num_seeds 9 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content


# without content tokens
# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'rte' \
#     --num_seeds 9 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation  --include_template  --without_punctuation #  

# with template tokens
# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'rte' \
#     --num_seeds 9 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer  --include_template  --without_punctuation #  


# # without template tokens
# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'rte' \
#     --num_seeds 9 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_content

# # with punctuation tokens
# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'rte' \
#     --num_seeds 9 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation

# without punctuation tokens
python processing_ablation_representation_final.py --fix_cls   \
    --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
    --dataset 'rte' \
    --num_seeds 9 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_content  --include_template  --without_punctuation #  






# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'rte' \
#     --num_seeds 10 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content


# # without content tokens
# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'rte' \
#     --num_seeds 10 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation  --include_template  --without_punctuation  

# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'rte' \
#     --num_seeds 10 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer  --include_template  --without_punctuation  

# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'rte' \
#     --num_seeds 10 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_content


# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'rte' \
#     --num_seeds 10 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation

python processing_ablation_representation_final.py --fix_cls   \
    --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
    --dataset 'rte' \
    --num_seeds 10 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_content  --include_template  --without_punctuation  
# # python processing_dataset_allrank.py \
# #     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
# #     --dataset 'rte' \
# #     --num_seeds 1 \
# #     --all_shots 4 \
# #     --subsample_test_set 500   --include_punctuation


# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'rte' \
#     --num_seeds 11 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content


# # without content tokens
# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'rte' \
#     --num_seeds 11 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation  --include_template  --without_punctuation  

# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'rte' \
#     --num_seeds 11 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer  --include_template  --without_punctuation  

# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'rte' \
#     --num_seeds 11 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_content


# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'rte' \
#     --num_seeds 11 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation

python processing_ablation_representation_final.py --fix_cls   \
    --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
    --dataset 'rte' \
    --num_seeds 11 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_content  --include_template  --without_punctuation  






# # with content tokens
# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'rte' \
#     --num_seeds 12 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content


# # without content tokens
# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'rte' \
#     --num_seeds 12 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation  --include_template  --without_punctuation  

# # with template tokens
# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'rte' \
#     --num_seeds 12 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer  --include_template  --without_punctuation  


# # # without template tokens
# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'rte' \
#     --num_seeds 12 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_content

# # with punctuation tokens
# python processing_ablation_representation_final.py --fix_cls   \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'rte' \
#     --num_seeds 12 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation

# # without punctuation tokens
python processing_ablation_representation_final.py --fix_cls   \
    --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
    --dataset 'rte' \
    --num_seeds 12 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_content  --include_template  --without_punctuation  