#!/bin/bash
#SBATCH --job-name=inference_3b2
#SBATCH --output=outputfinal/ablation_repsentations_agnews_structureauto_4shot22.txt
#SBATCH --error=errorfinal/ablation_repsentations_agnews_structureauto_4shot22.txt
#SBATCH --ntasks=1
#SBATCH --time=48:00:00
#SBATCH --mem=20Gb
#SBATCH --partition=main
#SBATCH -c 2
#SBATCH --gres=gpu:1 
#SBATCH --constraint=80gb


# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'agnews' \
#     --num_seeds 15 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content


# without content tokens
# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'agnews' \
#     --num_seeds 15 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_template --only_answer

# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'agnews' \
#     --num_seeds 15 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template --only_answer


# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'agnews' \
#     --num_seeds 15 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template 

python processing_ablation_representation_final15.py --fix_cls --random_template --fixed_random  \
    --model 'openlm-research/open_llama_3b' \
    --dataset 'agnews' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_template # --only_answer

python processing_ablation_representation_final15.py --fix_cls --random_template --fixed_random  \
    --model 'openlm-research/open_llama_3b' \
    --dataset 'agnews' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_template --only_answer


python processing_ablation_representation_final15.py --fix_cls --random_template --fixed_random   \
    --model 'openlm-research/open_llama_3b' \
    --dataset 'agnews' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_template 

python processing_ablation_representation_final15.py --fix_cls --random_template --nonfixed_random  \
    --model 'openlm-research/open_llama_3b' \
    --dataset 'agnews' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_template --only_answer


python processing_ablation_representation_final15.py --fix_cls --random_template --nonfixed_random   \
    --model 'openlm-research/open_llama_3b' \
    --dataset 'agnews' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_template 


python processing_ablation_representation_final15.py --fix_cls --random_template --revert_random  \
    --model 'openlm-research/open_llama_3b' \
    --dataset 'agnews' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_template --only_answer


python processing_ablation_representation_final15.py --fix_cls --random_template --revert_random   \
    --model 'openlm-research/open_llama_3b' \
    --dataset 'agnews' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_template 


python processing_ablation_representation_final15.py --fix_cls --random_template --same_random  \
    --model 'openlm-research/open_llama_3b' \
    --dataset 'agnews' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_template --only_answer


python processing_ablation_representation_final15.py --fix_cls --random_template --same_random   \
    --model 'openlm-research/open_llama_3b' \
    --dataset 'agnews' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_template 
# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'agnews' \
#     --num_seeds 15 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_content


# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'agnews' \
#     --num_seeds 15 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation

# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'agnews' \
#     --num_seeds 15 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content --include_template







# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'agnews' \
#     --num_seeds 2 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content


# # without content tokens
# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'agnews' \
#     --num_seeds 2 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_template --only_answer

# python processing_ablation_representation_final15.py --fix_cls --random_template  --fixed_random  \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'agnews' \
#     --num_seeds 2 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template --only_answer

# python processing_ablation_representation_final15.py --fix_cls --random_template  --fixed_random  \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'agnews' \
#     --num_seeds 2 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template 


# python processing_ablation_representation_final15.py --fix_cls --random_template --nonfixed_random   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'agnews' \
#     --num_seeds 2 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template --only_answer

# python processing_ablation_representation_final15.py --fix_cls --random_template --nonfixed_random   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'agnews' \
#     --num_seeds 2 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template 


# python processing_ablation_representation_final15.py --fix_cls --random_template --revert_random   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'agnews' \
#     --num_seeds 2 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template --only_answer

# python processing_ablation_representation_final15.py --fix_cls --random_template  --revert_random  \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'agnews' \
#     --num_seeds 2 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template 


# python processing_ablation_representation_final15.py --fix_cls --random_template  --same_random   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'agnews' \
#     --num_seeds 2 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template --only_answer

# python processing_ablation_representation_final15.py --fix_cls --random_template  --same_random   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'agnews' \
#     --num_seeds 2 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template 
# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'agnews' \
#     --num_seeds 2 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_content


# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'agnews' \
#     --num_seeds 2 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation

# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'agnews' \
#     --num_seeds 2 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content --include_template 






# with content tokens
# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'agnews' \
#     --num_seeds 2 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content


# # without content tokens
# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'agnews' \
#     --num_seeds 3 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_template --only_answer

# with template tokens
# python processing_ablation_representation_final15.py --fix_cls --random_template --fixed_random   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'agnews' \
#     --num_seeds 3 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template --only_answer

# python processing_ablation_representation_final15.py --fix_cls --random_template  --fixed_random  \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'agnews' \
#     --num_seeds 3 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template 

# python processing_ablation_representation_final15.py --fix_cls --random_template  --nonfixed_random  \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'agnews' \
#     --num_seeds 3 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template --only_answer

# python processing_ablation_representation_final15.py --fix_cls --random_template  --nonfixed_random  \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'agnews' \
#     --num_seeds 3 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template 

# python processing_ablation_representation_final15.py --fix_cls --random_template --revert_random   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'agnews' \
#     --num_seeds 3 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template --only_answer

# python processing_ablation_representation_final15.py --fix_cls --random_template --revert_random   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'agnews' \
#     --num_seeds 3 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template 

# python processing_ablation_representation_final15.py --fix_cls --random_template --same_random  \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'agnews' \
#     --num_seeds 3 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template --only_answer

# python processing_ablation_representation_final15.py --fix_cls --random_template  --same_random  \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'agnews' \
#     --num_seeds 3 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template 
# without template tokens
# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'agnews' \
#     --num_seeds 3 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_content

# # with punctuation tokens
# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'agnews' \
#     --num_seeds 3 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation

# without punctuation tokens
# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'agnews' \
#     --num_seeds 3 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content --include_template 







# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'agnews' \
#     --num_seeds 15 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content


# # without content tokens
# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'agnews' \
#     --num_seeds 15 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_template --only_answer

python processing_ablation_representation_final15.py --fix_cls --random_template --fixed_random  \
    --model 'decapoda-research/llama-7b-hf' \
    --dataset 'agnews' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_template --only_answer
python processing_ablation_representation_final15.py --fix_cls --random_template --fixed_random  \
    --model 'decapoda-research/llama-7b-hf' \
    --dataset 'agnews' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_template 


python processing_ablation_representation_final15.py --fix_cls --random_template --nonfixed_random  \
    --model 'decapoda-research/llama-7b-hf' \
    --dataset 'agnews' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_template --only_answer
python processing_ablation_representation_final15.py --fix_cls --random_template --nonfixed_random  \
    --model 'decapoda-research/llama-7b-hf' \
    --dataset 'agnews' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_template 

python processing_ablation_representation_final15.py --fix_cls --random_template  --revert_random  \
    --model 'decapoda-research/llama-7b-hf' \
    --dataset 'agnews' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_template --only_answer
python processing_ablation_representation_final15.py --fix_cls --random_template  --revert_random  \
    --model 'decapoda-research/llama-7b-hf' \
    --dataset 'agnews' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_template 


python processing_ablation_representation_final15.py --fix_cls --random_template   --same_random \
    --model 'decapoda-research/llama-7b-hf' \
    --dataset 'agnews' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_template --only_answer
python processing_ablation_representation_final15.py --fix_cls --random_template  --same_random  \
    --model 'decapoda-research/llama-7b-hf' \
    --dataset 'agnews' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_template 
# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'agnews' \
#     --num_seeds 15 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_content


# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'agnews' \
#     --num_seeds 15 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation

# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'agnews' \
#     --num_seeds 15 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content --include_template 


    
# python processing_dataset_allrank.py \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'agnews' \
#     --num_seeds 15 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_punctuation


# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'agnews' \
#     --num_seeds 5 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content


# # without content tokens
# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'agnews' \
#     --num_seeds 5 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_template --only_answer

# python processing_ablation_representation_final15.py --fix_cls --random_template --fixed_random  \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'agnews' \
#     --num_seeds 5 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template --only_answer
# python processing_ablation_representation_final15.py --fix_cls --random_template  --fixed_random \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'agnews' \
#     --num_seeds 5 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template


# python processing_ablation_representation_final15.py --fix_cls --random_template --nonfixed_random  \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'agnews' \
#     --num_seeds 5 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template --only_answer
# python processing_ablation_representation_final15.py --fix_cls --random_template --nonfixed_random  \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'agnews' \
#     --num_seeds 5 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template

# python processing_ablation_representation_final15.py --fix_cls --random_template --revert_random  \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'agnews' \
#     --num_seeds 5 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template --only_answer
# python processing_ablation_representation_final15.py --fix_cls --random_template --revert_random  \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'agnews' \
#     --num_seeds 5 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template

# python processing_ablation_representation_final15.py --fix_cls --random_template  --same_random  \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'agnews' \
#     --num_seeds 5 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template --only_answer
# python processing_ablation_representation_final15.py --fix_cls --random_template  --same_random  \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'agnews' \
#     --num_seeds 5 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template
# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'agnews' \
#     --num_seeds 5 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_content


# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'agnews' \
#     --num_seeds 5 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation

# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'agnews' \
#     --num_seeds 5 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content --include_template 






# with content tokens
# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'agnews' \
#     --num_seeds 6 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content


# # without content tokens
# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'agnews' \
#     --num_seeds 6 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_template --only_answer

# with template tokens
# python processing_ablation_representation_final15.py --fix_cls --random_template  --fixed_random \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'agnews' \
#     --num_seeds 6 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template --only_answer

# python processing_ablation_representation_final15.py --fix_cls --random_template --fixed_random  \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'agnews' \
#     --num_seeds 6 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template 

# python processing_ablation_representation_final15.py --fix_cls --random_template  --nonfixed_random \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'agnews' \
#     --num_seeds 6 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template --only_answer

# python processing_ablation_representation_final15.py --fix_cls --random_template --nonfixed_random  \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'agnews' \
#     --num_seeds 6 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template 

# python processing_ablation_representation_final15.py --fix_cls --random_template --revert_random  \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'agnews' \
#     --num_seeds 6 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template --only_answer

# python processing_ablation_representation_final15.py --fix_cls --random_template --revert_random  \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'agnews' \
#     --num_seeds 6 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template 

# python processing_ablation_representation_final15.py --fix_cls --random_template --same_random  \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'agnews' \
#     --num_seeds 6 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template --only_answer

# python processing_ablation_representation_final15.py --fix_cls --random_template  --same_random \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'agnews' \
#     --num_seeds 6 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template 

# without template tokens
# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'agnews' \
#     --num_seeds 6 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_content

# # with punctuation tokens
# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'agnews' \
#     --num_seeds 6 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation

# without punctuation tokens
# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'agnews' \
#     --num_seeds 6 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content --include_template






# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 15 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content


# # without content tokens
# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 15 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_template --only_answer

python processing_ablation_representation_final15.py --fix_cls --random_template  --fixed_random \
    --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
    --dataset 'agnews' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_template --only_answer
python processing_ablation_representation_final15.py --fix_cls --random_template  --fixed_random \
    --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
    --dataset 'agnews' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_template 

python processing_ablation_representation_final15.py --fix_cls --random_template --nonfixed_random  \
    --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
    --dataset 'agnews' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_template --only_answer
python processing_ablation_representation_final15.py --fix_cls --random_template  --nonfixed_random \
    --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
    --dataset 'agnews' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_template 


python processing_ablation_representation_final15.py --fix_cls --random_template --revert_random  \
    --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
    --dataset 'agnews' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_template --only_answer
python processing_ablation_representation_final15.py --fix_cls --random_template  --revert_random \
    --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
    --dataset 'agnews' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_template 


python processing_ablation_representation_final15.py --fix_cls --random_template  --same_random \
    --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
    --dataset 'agnews' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_template --only_answer

python processing_ablation_representation_final15.py --fix_cls --random_template  --same_random \
    --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
    --dataset 'agnews' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_template 
# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 15 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_content


# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 15 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation

# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 15 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content --include_template 




# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 8 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content


# # without content tokens
# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 8 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_template --only_answer

# python processing_ablation_representation_final15.py --fix_cls --random_template --fixed_random   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 8 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template --only_answer
# python processing_ablation_representation_final15.py --fix_cls --random_template --fixed_random   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 8 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template

# python processing_ablation_representation_final15.py --fix_cls --random_template --nonfixed_random   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 8 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template --only_answer
# python processing_ablation_representation_final15.py --fix_cls --random_template  --nonfixed_random  \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 8 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template

# python processing_ablation_representation_final15.py --fix_cls --random_template  --revert_random  \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 8 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template --only_answer
# python processing_ablation_representation_final15.py --fix_cls --random_template --revert_random   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 8 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template

# python processing_ablation_representation_final15.py --fix_cls --random_template  --same_random  \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 8 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template --only_answer
# python processing_ablation_representation_final15.py --fix_cls --random_template --same_random   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 8 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template
# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 8 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_content


# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 8 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation

# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 8 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content --include_template 






# with content tokens
# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 9 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content


# # without content tokens
# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 9 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_template --only_answer

# with template tokens
# python processing_ablation_representation_final15.py --fix_cls --random_template --fixed_random  \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 9 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template --only_answer
# python processing_ablation_representation_final15.py --fix_cls --random_template  --fixed_random \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 9 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template 


# python processing_ablation_representation_final15.py --fix_cls --random_template --nonfixed_random  \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 9 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template --only_answer
# python processing_ablation_representation_final15.py --fix_cls --random_template  --nonfixed_random \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 9 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template 


# python processing_ablation_representation_final15.py --fix_cls --random_template --revert_random  \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 9 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template --only_answer
# python processing_ablation_representation_final15.py --fix_cls --random_template --revert_random  \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 9 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template 


# python processing_ablation_representation_final15.py --fix_cls --random_template --same_random  \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 9 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template --only_answer
# python processing_ablation_representation_final15.py --fix_cls --random_template  --same_random \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 9 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template 
# without template tokens
# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 9 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_content

# # with punctuation tokens
# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 9 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation

# without punctuation tokens
# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'decapoda-research/llama-13b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 9 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content --include_template 






# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 150 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content


# # without content tokens
# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 150 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_template --only_answer

python processing_ablation_representation_final15.py --fix_cls --random_template --fixed_random   \
    --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
    --dataset 'agnews' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_template --only_answer

python processing_ablation_representation_final15.py --fix_cls --random_template --fixed_random   \
    --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
    --dataset 'agnews' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_template 


python processing_ablation_representation_final15.py --fix_cls --random_template  --nonfixed_random  \
    --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
    --dataset 'agnews' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_template --only_answer

python processing_ablation_representation_final15.py --fix_cls --random_template  --nonfixed_random  \
    --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
    --dataset 'agnews' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_template 

python processing_ablation_representation_final15.py --fix_cls --random_template --revert_random   \
    --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
    --dataset 'agnews' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_template --only_answer

python processing_ablation_representation_final15.py --fix_cls --random_template --revert_random   \
    --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
    --dataset 'agnews' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_template 

python processing_ablation_representation_final15.py --fix_cls --random_template --same_random   \
    --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
    --dataset 'agnews' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_template --only_answer

python processing_ablation_representation_final15.py --fix_cls --random_template --same_random  \
    --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
    --dataset 'agnews' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500   --include_answer --include_template 
# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 150 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_content


# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 150 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation

# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 150 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content --include_template 



# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 151 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_content


# # without content tokens
# python processing_ablation_representation_final15.py --fix_cls --random_template   \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 151 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_punctuation --include_template --only_answer

# python processing_ablation_representation_final15.py --fix_cls --random_template --fixed_random   \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 151 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template --only_answer

# python processing_ablation_representation_final15.py --fix_cls --random_template --fixed_random   \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 151 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template 


# python processing_ablation_representation_final15.py --fix_cls --random_template  --nonfixed_random  \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 151 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template --only_answer

# python processing_ablation_representation_final15.py --fix_cls --random_template  --nonfixed_random  \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 151 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template 

# python processing_ablation_representation_final15.py --fix_cls --random_template --revert_random   \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 151 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template --only_answer

# python processing_ablation_representation_final15.py --fix_cls --random_template --revert_random   \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 151 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template 

# python processing_ablation_representation_final15.py --fix_cls --random_template --same_random   \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 151 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template --only_answer

# python processing_ablation_representation_final15.py --fix_cls --random_template --same_random  \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 151 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template 
# # python processing_ablation_representation_final15.py --fix_cls --random_template   \
# #     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
# #     --dataset 'agnews' \
# #     --num_seeds 151 \
# #     --all_shots 4 \
# #     --subsample_test_set 500   --include_answer --include_punctuation --include_content


# # python processing_ablation_representation_final15.py --fix_cls --random_template   \
# #     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
# #     --dataset 'agnews' \
# #     --num_seeds 151 \
# #     --all_shots 4 \
# #     --subsample_test_set 500   --include_answer --include_punctuation

# # python processing_ablation_representation_final15.py --fix_cls --random_template   \
# #     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
# #     --dataset 'agnews' \
# #     --num_seeds 151 \
# #     --all_shots 4 \
# #     --subsample_test_set 500   --include_answer --include_content --include_template






# # with content tokens
# # python processing_ablation_representation_final15.py --fix_cls --random_template   \
# #     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
# #     --dataset 'agnews' \
# #     --num_seeds 152 \
# #     --all_shots 4 \
# #     --subsample_test_set 500   --include_answer --include_content


# # # without content tokens
# # python processing_ablation_representation_final15.py --fix_cls --random_template   \
# #     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
# #     --dataset 'agnews' \
# #     --num_seeds 152 \
# #     --all_shots 4 \
# #     --subsample_test_set 500   --include_answer --include_punctuation --include_template --only_answer

# # with template tokens
# python processing_ablation_representation_final15.py --fix_cls --random_template --fixed_random   \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 152 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template --only_answer

# python processing_ablation_representation_final15.py --fix_cls --random_template --fixed_random   \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 152 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template 


# python processing_ablation_representation_final15.py --fix_cls --random_template  --nonfixed_random  \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 152 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template --only_answer

# python processing_ablation_representation_final15.py --fix_cls --random_template  --nonfixed_random  \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 152 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template 

# python processing_ablation_representation_final15.py --fix_cls --random_template --revert_random   \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 152 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template --only_answer

# python processing_ablation_representation_final15.py --fix_cls --random_template --revert_random   \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 152 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template 

# python processing_ablation_representation_final15.py --fix_cls --random_template --same_random   \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 152 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template --only_answer

# python processing_ablation_representation_final15.py --fix_cls --random_template --same_random  \
#     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
#     --dataset 'agnews' \
#     --num_seeds 152 \
#     --all_shots 4 \
#     --subsample_test_set 500   --include_answer --include_template 

# # # without template tokens
# # python processing_ablation_representation_final15.py --fix_cls --random_template   \
# #     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
# #     --dataset 'agnews' \
# #     --num_seeds 152 \
# #     --all_shots 4 \
# #     --subsample_test_set 500   --include_answer --include_punctuation --include_content

# # # with punctuation tokens
# # python processing_ablation_representation_final15.py --fix_cls --random_template   \
# #     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
# #     --dataset 'agnews' \
# #     --num_seeds 152 \
# #     --all_shots 4 \
# #     --subsample_test_set 500   --include_answer --include_punctuation

# # without punctuation tokens
# # python processing_ablation_representation_final15.py --fix_cls --random_template   \
# #     --model 'decapoda-research/llama-30b-hf' --load_in_8bit \
# #     --dataset 'agnews' \
# #     --num_seeds 152 \
# #     --all_shots 4 \
# #     --subsample_test_set 500   --include_answer --include_content --include_template