#!/bin/bash
#SBATCH --job-name=inference_3b2
#SBATCH --output=outputfinal/rerun_allrank_result_rte_word_ablation_new_newnew.txt
#SBATCH --error=errorfinal/rerun_allrank_result_rte_word_ablation_new_newnew.txt
#SBATCH --ntasks=1
#SBATCH --time=48:00:00
#SBATCH --mem=20Gb
#SBATCH --partition=long
#SBATCH -c 2
#SBATCH --gres=gpu:1 
#SBATCH --constraint=80gb


python processing_dataset_allrank_ablation_final_15.py \
    --model 'openlm-research/open_llama_3b' \
    --dataset 'rte' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500 --without_content


# python processing_dataset_allrank_ablation_final_15.py \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'rte' \
#     --num_seeds 2 \
#     --all_shots 4 \
#     --subsample_test_set 500 --without_content


# python processing_dataset_allrank_ablation_final_15.py \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'rte' \
#     --num_seeds 3 \
#     --all_shots 4 \
#     --subsample_test_set 500 --without_content


python processing_dataset_allrank_ablation_final_15.py \
    --model 'decapoda-research/llama-7b-hf' \
    --dataset 'rte' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500 --without_content


# python processing_dataset_allrank_ablation_final_15.py \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'rte' \
#     --num_seeds 5 \
#     --all_shots 4 \
#     --subsample_test_set 500 --without_content



# python processing_dataset_allrank_ablation_final_15.py \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'rte' \
#     --num_seeds 6 \
#     --all_shots 4 \
#     --subsample_test_set 500 --without_content




python processing_dataset_allrank_ablation_final_15.py \
    --model 'decapoda-research/llama-13b-hf' \
    --dataset 'rte' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500 --without_content --load_in_8bit


# python processing_dataset_allrank_ablation_final_15.py \
#     --model 'decapoda-research/llama-13b-hf' \
#     --dataset 'rte' \
#     --num_seeds 8 \
#     --all_shots 4 \
#     --subsample_test_set 500 --without_content --load_in_8bit



# python processing_dataset_allrank_ablation_final_15.py \
#     --model 'decapoda-research/llama-13b-hf' \
#     --dataset 'rte' \
#     --num_seeds 9 \
#     --all_shots 4 \
#     --subsample_test_set 500 --without_content --load_in_8bit



python processing_dataset_allrank_ablation_final_15.py \
    --model 'decapoda-research/llama-30b-hf' \
    --dataset 'rte' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500 --without_content --load_in_8bit


# python processing_dataset_allrank_ablation_final_15.py \
#     --model 'decapoda-research/llama-30b-hf' \
#     --dataset 'rte' \
#     --num_seeds 11 \
#     --all_shots 4 \
#     --subsample_test_set 500 --without_content --load_in_8bit



# python processing_dataset_allrank_ablation_final_15.py \
#     --model 'decapoda-research/llama-30b-hf' \
#     --dataset 'rte' \
#     --num_seeds 12 \
#     --all_shots 4 \
#     --subsample_test_set 500 --without_content --load_in_8bit


python processing_dataset_allrank_ablation_final_15.py \
    --model 'openlm-research/open_llama_3b' \
    --dataset 'rte' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500 --without_template


# python processing_dataset_allrank_ablation_final_15.py \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'rte' \
#     --num_seeds 2 \
#     --all_shots 4 \
#     --subsample_test_set 500 --without_template


# python processing_dataset_allrank_ablation_final_15.py \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'rte' \
#     --num_seeds 3 \
#     --all_shots 4 \
#     --subsample_test_set 500 --without_template


python processing_dataset_allrank_ablation_final_15.py \
    --model 'decapoda-research/llama-7b-hf' \
    --dataset 'rte' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500 --without_template


# python processing_dataset_allrank_ablation_final_15.py \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'rte' \
#     --num_seeds 5 \
#     --all_shots 4 \
#     --subsample_test_set 500 --without_template



# python processing_dataset_allrank_ablation_final_15.py \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'rte' \
#     --num_seeds 6 \
#     --all_shots 4 \
#     --subsample_test_set 500 --without_template




python processing_dataset_allrank_ablation_final_15.py \
    --model 'decapoda-research/llama-13b-hf' \
    --dataset 'rte' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500 --without_template --load_in_8bit


# python processing_dataset_allrank_ablation_final_15.py \
#     --model 'decapoda-research/llama-13b-hf' \
#     --dataset 'rte' \
#     --num_seeds 8 \
#     --all_shots 4 \
#     --subsample_test_set 500 --without_template --load_in_8bit



# python processing_dataset_allrank_ablation_final_15.py \
#     --model 'decapoda-research/llama-13b-hf' \
#     --dataset 'rte' \
#     --num_seeds 9 \
#     --all_shots 4 \
#     --subsample_test_set 500 --without_template --load_in_8bit



python processing_dataset_allrank_ablation_final_15.py \
    --model 'decapoda-research/llama-30b-hf' \
    --dataset 'rte' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500 --without_template --load_in_8bit


# python processing_dataset_allrank_ablation_final_15.py \
#     --model 'decapoda-research/llama-30b-hf' \
#     --dataset 'rte' \
#     --num_seeds 11 \
#     --all_shots 4 \
#     --subsample_test_set 500 --without_template --load_in_8bit



# python processing_dataset_allrank_ablation_final_15.py \
#     --model 'decapoda-research/llama-30b-hf' \
#     --dataset 'rte' \
#     --num_seeds 12 \
#     --all_shots 4 \
#     --subsample_test_set 500 --without_template --load_in_8bit




python processing_dataset_allrank_ablation_final_15.py \
    --model 'openlm-research/open_llama_3b' \
    --dataset 'rte' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500 --without_stopword


# python processing_dataset_allrank_ablation_final_15.py \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'rte' \
#     --num_seeds 2 \
#     --all_shots 4 \
#     --subsample_test_set 500 --without_stopword


# python processing_dataset_allrank_ablation_final_15.py \
#     --model 'openlm-research/open_llama_3b' \
#     --dataset 'rte' \
#     --num_seeds 3 \
#     --all_shots 4 \
#     --subsample_test_set 500 --without_stopword


python processing_dataset_allrank_ablation_final_15.py \
    --model 'decapoda-research/llama-7b-hf' \
    --dataset 'rte' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500 --without_stopword


# python processing_dataset_allrank_ablation_final_15.py \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'rte' \
#     --num_seeds 5 \
#     --all_shots 4 \
#     --subsample_test_set 500 --without_stopword



# python processing_dataset_allrank_ablation_final_15.py \
#     --model 'decapoda-research/llama-7b-hf' \
#     --dataset 'rte' \
#     --num_seeds 6 \
#     --all_shots 4 \
#     --subsample_test_set 500 --without_stopword




python processing_dataset_allrank_ablation_final_15.py \
    --model 'decapoda-research/llama-13b-hf' \
    --dataset 'rte' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500 --without_stopword --load_in_8bit


# python processing_dataset_allrank_ablation_final_15.py \
#     --model 'decapoda-research/llama-13b-hf' \
#     --dataset 'rte' \
#     --num_seeds 8 \
#     --all_shots 4 \
#     --subsample_test_set 500 --without_stopword --load_in_8bit



# python processing_dataset_allrank_ablation_final_15.py \
#     --model 'decapoda-research/llama-13b-hf' \
#     --dataset 'rte' \
#     --num_seeds 9 \
#     --all_shots 4 \
#     --subsample_test_set 500 --without_stopword --load_in_8bit



python processing_dataset_allrank_ablation_final_15.py \
    --model 'decapoda-research/llama-30b-hf' \
    --dataset 'rte' \
    --num_seeds 15 \
    --all_shots 4 \
    --subsample_test_set 500 --without_stopword --load_in_8bit


# python processing_dataset_allrank_ablation_final_15.py \
#     --model 'decapoda-research/llama-30b-hf' \
#     --dataset 'rte' \
#     --num_seeds 11 \
#     --all_shots 4 \
#     --subsample_test_set 500 --without_stopword --load_in_8bit



# python processing_dataset_allrank_ablation_final_15.py \
#     --model 'decapoda-research/llama-30b-hf' \
#     --dataset 'rte' \
#     --num_seeds 12 \
#     --all_shots 4 \
#     --subsample_test_set 500 --without_stopword --load_in_8bit