#!/bin/bash
#SBATCH --job-name=inference_3b2
#SBATCH --output=outputfinal/allrank_result_dbpedia_random_new.txt
#SBATCH --error=errorfinal/allrank_result_dbpedia_random_new.txt
#SBATCH --ntasks=1
#SBATCH --time=48:00:00
#SBATCH --mem=20Gb
#SBATCH --partition=long
#SBATCH -c 2
#SBATCH --gres=gpu:1 
#SBATCH --constraint=80gb


python processing_dataset_allrank_random.py \
    --model 'openlm-research/open_llama_3b' \
    --dataset 'dbpedia' \
    --num_seeds 1 \
    --all_shots 4 \
    --subsample_test_set 500 --fixed_random


python processing_dataset_allrank_random.py \
    --model 'openlm-research/open_llama_3b' \
    --dataset 'dbpedia' \
    --num_seeds 2 \
    --all_shots 4 \
    --subsample_test_set 500 --fixed_random


python processing_dataset_allrank_random.py \
    --model 'openlm-research/open_llama_3b' \
    --dataset 'dbpedia' \
    --num_seeds 3 \
    --all_shots 4 \
    --subsample_test_set 500 --fixed_random


python processing_dataset_allrank_random.py \
    --model 'decapoda-research/llama-7b-hf' \
    --dataset 'dbpedia' \
    --num_seeds 4 \
    --all_shots 4 \
    --subsample_test_set 500 --fixed_random


python processing_dataset_allrank_random.py \
    --model 'decapoda-research/llama-7b-hf' \
    --dataset 'dbpedia' \
    --num_seeds 5 \
    --all_shots 4 \
    --subsample_test_set 500 --fixed_random



python processing_dataset_allrank_random.py \
    --model 'decapoda-research/llama-7b-hf' \
    --dataset 'dbpedia' \
    --num_seeds 6 \
    --all_shots 4 \
    --subsample_test_set 500 --fixed_random




python processing_dataset_allrank_random.py \
    --model 'decapoda-research/llama-13b-hf' \
    --dataset 'dbpedia' \
    --num_seeds 7 \
    --all_shots 4 \
    --subsample_test_set 500 --fixed_random --load_in_8bit


python processing_dataset_allrank_random.py \
    --model 'decapoda-research/llama-13b-hf' \
    --dataset 'dbpedia' \
    --num_seeds 8 \
    --all_shots 4 \
    --subsample_test_set 500 --fixed_random --load_in_8bit



python processing_dataset_allrank_random.py \
    --model 'decapoda-research/llama-13b-hf' \
    --dataset 'dbpedia' \
    --num_seeds 9 \
    --all_shots 4 \
    --subsample_test_set 500 --fixed_random --load_in_8bit



python processing_dataset_allrank_random.py \
    --model 'decapoda-research/llama-30b-hf' \
    --dataset 'dbpedia' \
    --num_seeds 10 \
    --all_shots 4 \
    --subsample_test_set 500 --fixed_random --load_in_8bit


python processing_dataset_allrank_random.py \
    --model 'decapoda-research/llama-30b-hf' \
    --dataset 'dbpedia' \
    --num_seeds 11 \
    --all_shots 4 \
    --subsample_test_set 500 --fixed_random --load_in_8bit



python processing_dataset_allrank_random.py \
    --model 'decapoda-research/llama-30b-hf' \
    --dataset 'dbpedia' \
    --num_seeds 12 \
    --all_shots 4 \
    --subsample_test_set 500 --fixed_random --load_in_8bit





python processing_dataset_allrank_random.py \
    --model 'openlm-research/open_llama_3b' \
    --dataset 'dbpedia' \
    --num_seeds 1 \
    --all_shots 4 \
    --subsample_test_set 500 --nonfixed_random


python processing_dataset_allrank_random.py \
    --model 'openlm-research/open_llama_3b' \
    --dataset 'dbpedia' \
    --num_seeds 2 \
    --all_shots 4 \
    --subsample_test_set 500 --nonfixed_random


python processing_dataset_allrank_random.py \
    --model 'openlm-research/open_llama_3b' \
    --dataset 'dbpedia' \
    --num_seeds 3 \
    --all_shots 4 \
    --subsample_test_set 500 --nonfixed_random


python processing_dataset_allrank_random.py \
    --model 'decapoda-research/llama-7b-hf' \
    --dataset 'dbpedia' \
    --num_seeds 4 \
    --all_shots 4 \
    --subsample_test_set 500 --nonfixed_random


python processing_dataset_allrank_random.py \
    --model 'decapoda-research/llama-7b-hf' \
    --dataset 'dbpedia' \
    --num_seeds 5 \
    --all_shots 4 \
    --subsample_test_set 500 --nonfixed_random



python processing_dataset_allrank_random.py \
    --model 'decapoda-research/llama-7b-hf' \
    --dataset 'dbpedia' \
    --num_seeds 6 \
    --all_shots 4 \
    --subsample_test_set 500 --nonfixed_random




python processing_dataset_allrank_random.py \
    --model 'decapoda-research/llama-13b-hf' \
    --dataset 'dbpedia' \
    --num_seeds 7 \
    --all_shots 4 \
    --subsample_test_set 500 --nonfixed_random --load_in_8bit


python processing_dataset_allrank_random.py \
    --model 'decapoda-research/llama-13b-hf' \
    --dataset 'dbpedia' \
    --num_seeds 8 \
    --all_shots 4 \
    --subsample_test_set 500 --nonfixed_random --load_in_8bit



python processing_dataset_allrank_random.py \
    --model 'decapoda-research/llama-13b-hf' \
    --dataset 'dbpedia' \
    --num_seeds 9 \
    --all_shots 4 \
    --subsample_test_set 500 --nonfixed_random --load_in_8bit



python processing_dataset_allrank_random.py \
    --model 'decapoda-research/llama-30b-hf' \
    --dataset 'dbpedia' \
    --num_seeds 10 \
    --all_shots 4 \
    --subsample_test_set 500 --nonfixed_random --load_in_8bit


python processing_dataset_allrank_random.py \
    --model 'decapoda-research/llama-30b-hf' \
    --dataset 'dbpedia' \
    --num_seeds 11 \
    --all_shots 4 \
    --subsample_test_set 500 --nonfixed_random --load_in_8bit



python processing_dataset_allrank_random.py \
    --model 'decapoda-research/llama-30b-hf' \
    --dataset 'dbpedia' \
    --num_seeds 12 \
    --all_shots 4 \
    --subsample_test_set 500 --nonfixed_random --load_in_8bit


python processing_dataset_allrank_random.py \
    --model 'openlm-research/open_llama_3b' \
    --dataset 'dbpedia' \
    --num_seeds 1 \
    --all_shots 4 \
    --subsample_test_set 500 --same_random


python processing_dataset_allrank_random.py \
    --model 'openlm-research/open_llama_3b' \
    --dataset 'dbpedia' \
    --num_seeds 2 \
    --all_shots 4 \
    --subsample_test_set 500 --same_random


python processing_dataset_allrank_random.py \
    --model 'openlm-research/open_llama_3b' \
    --dataset 'dbpedia' \
    --num_seeds 3 \
    --all_shots 4 \
    --subsample_test_set 500 --same_random


python processing_dataset_allrank_random.py \
    --model 'decapoda-research/llama-7b-hf' \
    --dataset 'dbpedia' \
    --num_seeds 4 \
    --all_shots 4 \
    --subsample_test_set 500 --same_random


python processing_dataset_allrank_random.py \
    --model 'decapoda-research/llama-7b-hf' \
    --dataset 'dbpedia' \
    --num_seeds 5 \
    --all_shots 4 \
    --subsample_test_set 500 --same_random



python processing_dataset_allrank_random.py \
    --model 'decapoda-research/llama-7b-hf' \
    --dataset 'dbpedia' \
    --num_seeds 6 \
    --all_shots 4 \
    --subsample_test_set 500 --same_random




python processing_dataset_allrank_random.py \
    --model 'decapoda-research/llama-13b-hf' \
    --dataset 'dbpedia' \
    --num_seeds 7 \
    --all_shots 4 \
    --subsample_test_set 500 --same_random --load_in_8bit


python processing_dataset_allrank_random.py \
    --model 'decapoda-research/llama-13b-hf' \
    --dataset 'dbpedia' \
    --num_seeds 8 \
    --all_shots 4 \
    --subsample_test_set 500 --same_random --load_in_8bit



python processing_dataset_allrank_random.py \
    --model 'decapoda-research/llama-13b-hf' \
    --dataset 'dbpedia' \
    --num_seeds 9 \
    --all_shots 4 \
    --subsample_test_set 500 --same_random --load_in_8bit



python processing_dataset_allrank_random.py \
    --model 'decapoda-research/llama-30b-hf' \
    --dataset 'dbpedia' \
    --num_seeds 10 \
    --all_shots 4 \
    --subsample_test_set 500 --same_random --load_in_8bit


python processing_dataset_allrank_random.py \
    --model 'decapoda-research/llama-30b-hf' \
    --dataset 'dbpedia' \
    --num_seeds 11 \
    --all_shots 4 \
    --subsample_test_set 500 --same_random --load_in_8bit



python processing_dataset_allrank_random.py \
    --model 'decapoda-research/llama-30b-hf' \
    --dataset 'dbpedia' \
    --num_seeds 12 \
    --all_shots 4 \
    --subsample_test_set 500 --same_random --load_in_8bit